com.fasterxml.jackson.databind.deser.impl

## Class PropertyValue

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.impl.PropertyValue

-     public abstract class PropertyValue
      extends java.lang.Object

  Base class for property values that need to be buffered during deserialization.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `PropertyValue` | `next`
    `java.lang.Object` | `value` Value to assign when POJO has been instantiated.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PropertyValue(PropertyValue next, java.lang.Object value)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `assign(java.lang.Object bean)` Method called to assign stored value of this property to specified bean instance

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### next

          public final PropertyValue next

    - #### value

          public final java.lang.Object value

      Value to assign when POJO has been instantiated.

  - ### Constructor Detail

    - #### PropertyValue

          protected PropertyValue(PropertyValue next,
                       java.lang.Object value)

  - ### Method Detail

    - #### assign

          public abstract void assign(java.lang.Object bean)
                               throws java.io.IOException,
                                      com.fasterxml.jackson.core.JsonProcessingException

      Method called to assign stored value of this property to specified bean instance
      Throws:
        `java.io.IOException`
        `com.fasterxml.jackson.core.JsonProcessingException`